## dreamcast.wiki_wiki-20240316-images.7z

=== Makefile ===
# Don't allow Make to delete the uncompressed spritesheet files, so you can have a look at them.
.PRECIOUS: build/%_sheet.png

TARGET = spritesheet.elf
OBJS = main.o romdisk.o
CC = kos-cc
CFLAGS += -std=c11

# Name of spritesheets, assets/spritesheets/foo/ becomes:
# romdisk/foo_sheet.dtex:     paletted texture data of all images in foo/
# romdisk/foo_sheet.dtex.pal: definition of colors in the palette
# romdisk/foo_sheet.txt:      position and dimensions of each sprite within
SPRITESHEET_NAMES := $(notdir $(wildcard assets/spritesheets/*))

all: rm-elf $(TARGET)

include $(KOS_BASE)/Makefile.rules

clean:
	-rm -rf $(TARGET) build/* romdisk.* romdisk/* *.o

rm-elf:
	-rm -f $(TARGET)

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) -lkmg -lkosutils -lm

romdisk.o: romdisk.img
	$(KOS_BASE)/utils/bin2o/bin2o romdisk.img romdisk romdisk.o

# romdisk.img will depend on romdisk/foo_sheet.dtex and romdisk_foo_sheet.dtex.pal
SPRITESHEET_RESULT_FILES := $(patsubst %,romdisk/%_sheet.dtex,$(SPRITESHEET_NAMES))
romdisk.img: $(SPRITESHEET_RESULT_FILES) $(addsuffix .pal,$(SPRITESHEET_RESULT_FILES))
	$(KOS_GENROMFS) -f romdisk.img -d romdisk -v

# romdisk/foo_sheet.dtex and romdisk/foo_sheet.dtex.pal are made by this command
romdisk/%_sheet.dtex romdisk/%_sheet.dtex.pal: build/%_sheet.png
	$(info Converting $@ < $<)
	texconv -i $< -o $@ -f PAL8BPP -p build/$*_preview.png

# This rule will assemble all files in the directory assets/spritesheets/foo/ into build/foo_sheet.png.
# build/foo_sheet.png is used as input for the conversion to romdisk/foo_sheet.dtex[.pal] later.
# Store position and dimensions of tiles in romdisk/foo_sheet.txt (gideros format: name, x, y, w, h, dummy1, dummy2).
# Force power of two dimensions (e.g. 64x256) and maximum dimensions 1024x1024 (Dreamcast PVR graphics chip limitations).
# Last options just avoid pro features in TexturePacker that require a license.
# Use --common-divisor-x 4 --common-divisor-y 4 with bought version to use sprite drawing mode without precision problems
build/%_sheet.png: assets/spritesheets/%
	$(info Generating spritesheet $@ from $^)
	TexturePacker --sheet $@ \
		--format gideros --data romdisk/$*_sheet.txt \
		--size-constraints POT --max-width 1024 --max-height 1024 \
		--pack-mode Best --disable-rotation --trim-mode None \
		--trim-sprite-names \
		--algorithm Basic --png-opt-level 0 --extrude 0 --disable-auto-alias \
		$^

run: $(TARGET)
	$(KOS_LOADER) $(TARGET) -n

dist:
	rm -f $(OBJS)
	$(KOS_STRIP) $(TARGET)

=== src/Makefile ===
CC = gcc

PROG = isofix
OBJS = isofix13f.o
HDRS = isofix.h

$(PROG) : $(OBJS)
	$(CC) $(OBJS) -o $(PROG) 

isofix.o : isofix13f.c $(HDRS)  
	$(CC) -c $<

clean:
	rm -f $(OBJS) $(PROG) *~

=== debian/changelog ===
cdirip (0.6.3-1) unstable; urgency=low

  * New upstream version.
  * Development continued by me, under GPL, on SourceForge.

 -- Lawrence Williams <lawrence_cecil_williams@hotmail.com>  Thu, 06 May 2004 14:35:52 -0230

cdirip (0.6-2) unstable; urgency=low

  * Fixed upstream author information.

 -- Lawrence Williams <lawrence_cecil_williams@hotmail.com>  Thu, 22 Apr 2004 19:06:56 -0230

cdirip (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Lawrence Williams <lawrence_cecil_williams@hotmail.com>  Thu, 22 Apr 2004 18:00:16 -0230

=== debian/control ===
Source: cdirip
Section: otherosfs
Priority: optional
Maintainer: Lawrence Williams <lawrence_cecil_williams@hotmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: cdirip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Extract tracks from DiscJuggler .CDI images
 CDIRip extracts the track(s) from DiscJuggler .CDI images and makes it possible to burn them under Linux, using utilities like cdrecord and k3b ( a nice GUI for KDE ).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS=-s -O2  -I/usr/include -I/include

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"
	#/usr/bin/docbook-to-man debian/cdirip.sgml > cdirip.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/cdirip.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cdirip


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
